Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155072 - RFE: data validation indication on new user is counter intuitive
Summary: RFE: data validation indication on new user is counter intuitive
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: UI - Configuration
Version: 7.1
Hardware: All
OS: Linux
low
low
Target Milestone: DS8.1
: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 23:09 UTC by Orla Hegarty
Modified: 2015-01-04 23:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 20:58:10 UTC


Attachments (Terms of Use)

Description Orla Hegarty 2005-04-15 23:09:59 UTC
Description of problem:
Unlike the configuration tab, the directory browser tab does not show "red" text
when I enter an incorrect value for a field.

Version-Release number of selected component (if applicable):
20050406.1.qa

How reproducible:
Consistently

Steps to Reproduce:
1. Run ./startconsole
2. Open the directory browser
3. Choose an existing user entry and right click for "Properties"
4. Click on "account" in the left panel. "Activation" and "Resource limited"
sections are displayed. 
5. Enter non integers for one of the resource limits "Look through limit", 
"size  limit", "Time limit", and / or "Idle Timeout" 

  
Actual results:
The text does not turn "red" to indicate the values I have entered are illegal
for that field. The Save button is still enabled. It is not greyed out. 

Clicking on the save button. Nothing happens.

The last field I typed in is highlighted. kinda giving me a clue that something
might be wrong but it is not clear.

Expected results:
Behaviour should be the same as with the configuration tab or the console
preferences. By default the text should turn red and the save button should be
greyed off. 


Additional info:

Comment 1 Chandrasekar Kannan 2007-07-25 19:11:20 UTC
DS7.2 is not a valid milestone anymore. Anything thats set to DS7.2 should be
set to DS8.0. Will make further changes per bug council on 07/24/2007, after this.

Comment 3 Rich Megginson 2008-12-09 21:57:22 UTC
Many of these panels do not use the BlankPanel input validation scheme.  It would take quite a bit of work to convert them.  However, the resource limit panels do not allow invalid values - if you hit the OK button, the values are not saved, the first bogus field gets the cursor focus, and the invalid value is selected.

Latering to 8.2.


Note You need to log in before you can comment on or make changes to this bug.